## net.sf.statcvs.reportmodel
Class FileColumn

    java.lang.Object
      net.sf.statcvs.reportmodel.Column
          net.sf.statcvs.reportmodel.GenericColumn
              net.sf.statcvs.reportmodel.FileColumn

    public class FileColumn

extends GenericColumn

A table column containing files

Version:
  $Id: FileColumn.java,v 1.5 2008/04/02 11:22:14 benoitx Exp $
Author:
  Richard Cyganiak <rcyg@gmx.de>

Constructor Summary
`FileColumn()` Creates a new directory column

Method Summary
`void` `renderCell(int rowIndex, TableCellRenderer renderer)` Renders a row of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods
`void` `setWebRepository(WebRepositoryIntegration webRepository)` Setting a WebRepository turns filenames into links to that file.
`void` `setWithIcon(boolean withIcon)` Specifies if each cell should be rendered with an icon representing the file

Methods inherited from class net.sf.statcvs.reportmodel.GenericColumn
`addValue, getRows, getValue, renderHead, renderTotal, setTotal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileColumn

    public FileColumn()

  Creates a new directory column

Method Detail

### renderCell

    public void renderCell(int rowIndex,
                           TableCellRenderer renderer)

  Description copied from class: `Column`
  Renders a row of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(java.lang.String)` methods

  Specified by:
    `renderCell` in class `GenericColumn`
  Parameters:
    `rowIndex` - the row number, starting at 0
    `renderer` - the TableCellRenderer to use
  See Also:
    `Column.renderCell(int, net.sf.statcvs.renderer.TableCellRenderer)`

### setWithIcon

    public void setWithIcon(boolean withIcon)

  Specifies if each cell should be rendered with an icon representing the file

  Parameters:
    `withIcon` - render with icon?

### setWebRepository

    public void setWebRepository(WebRepositoryIntegration webRepository)

  Setting a WebRepository turns filenames into links to that file.